// =======================
// BATTLEZONE SKY EDITOR
// =======================
//   ============================================
//   Oiled, polished and pinstriped by RocketmanX
//   ============================================
// |         Added Quick Pick Palette              |
//  -----------------------------------------------
//
//
//////////////////////////////////////////////
// CREATE QUICK PICK PALETTE WINDOW
//////////////////////////////////////////////

 CreateControl("SkyColor", "WINDOW")
  {

	Geometry("RIGHT", "TOP");
	Pos(0, 10);
	Size(150, 190);
	ColorGroup("TVBACK1");

	CreateControl("SkyColorTitle", "STATIC")
	{
		ColorGroup("WHITE");
		Pos(0, 2);
		Size(150, 10);
		Font("Small");
		JustifyText("CENTRE");
		Text("QP Palette");
		Style("TRANSPARENT");
	}

/////////////////////////////////////////////
// CREATE COLOR QUICK PICK PALETTE
/////////////////////////////////////////////

	CreateControl("RXWB001", "BUTTON")
	{
	    ColorGroup("RXPF001");
		Pos(70, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB001");
	}

	CreateControl("RXWB002", "BUTTON")
	{
	    ColorGroup("RXPF002");
		Pos(80, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB002");
    }

	CreateControl("RXWB003", "BUTTON")
	{
	    ColorGroup("RXPF003");
		Pos(90, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB003");
    }

    CreateControl("RXWB004", "BUTTON")
	{
	    ColorGroup("RXPF004");
		Pos(100, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB004");
    }

    CreateControl("RXWB005", "BUTTON")
	{
	    ColorGroup("RXPF005");
		Pos(110, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB005");
    }

    CreateControl("RXWB006", "BUTTON")
	{
	    ColorGroup("RXPF006");
		Pos(120, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB006");
    }

    CreateControl("RXWB007", "BUTTON")
	{
	    ColorGroup("RXPF007");
		Pos(130, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB007");
    }
    
////////
	CreateControl("RXWB008", "BUTTON")
	{
	    ColorGroup("RXPF008");
		Pos(60, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB008");
    }

    CreateControl("RXWB009", "BUTTON")
	{
	    ColorGroup("RXPF009");
		Pos(50, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB009");
    }

    CreateControl("RXWB010", "BUTTON")
	{
	    ColorGroup("RXPF010");
		Pos(40, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB010");
    }

    CreateControl("RXWB011", "BUTTON")
	{
	    ColorGroup("RXPF011");
		Pos(30, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB011");
    }

    CreateControl("RXWB012", "BUTTON")
	{
	    ColorGroup("RXPF012");
		Pos(20, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB012");
    }

    CreateControl("RXWB013", "BUTTON")
	{
	    ColorGroup("RXPF013");
		Pos(10, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB013");
    }

	CreateControl("RXWB014", "BUTTON")
	{
	    ColorGroup("RXPF014");
		Pos(75, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB014");
    }

	CreateControl("RXWB015", "BUTTON")
	{
	    ColorGroup("RXPF015");
		Pos(85, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB015");
    }

    CreateControl("RXWB016", "BUTTON")
	{
	    ColorGroup("RXPF016");
		Pos(95, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB016");
    }

    CreateControl("RXWB017", "BUTTON")
	{
	    ColorGroup("RXPF017");
		Pos(105, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB017");
    }

    CreateControl("RXWB018", "BUTTON")
	{
	    ColorGroup("RXPF018");
		Pos(115, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB018");
    }

    CreateControl("RXWB019", "BUTTON")
	{
	    ColorGroup("RXPF019");
		Pos(125, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB019");
    }

    CreateControl("RXWB020", "BUTTON")
	{
	    ColorGroup("RXPF020");
		Pos(65, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB020");
    }

    CreateControl("RXWB021", "BUTTON")
	{
	    ColorGroup("RXPF021");
		Pos(55, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB021");
    }

    CreateControl("RXWB022", "BUTTON")
	{
	    ColorGroup("RXPF022");
		Pos(45, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB022");
    }

    CreateControl("RXWB023", "BUTTON")
	{
	    ColorGroup("RXPF023");
		Pos(35, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB023");
    }

    CreateControl("RXWB024", "BUTTON")
	{
	    ColorGroup("RXPF024");
		Pos(25, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB024");
    }

	CreateControl("RXWB025", "BUTTON")
	{
	    ColorGroup("RXPF025");
		Pos(15, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB025");
    }
//
	CreateControl("RXWB025b", "BUTTON")
	{
	    ColorGroup("RXPF025b");
		Pos(125, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB025b");
    }

	CreateControl("RXWB026", "BUTTON")
	{
	    ColorGroup("RXPF026");
		Pos(115, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB026");
    }

	CreateControl("RXWB027", "BUTTON")
	{
	    ColorGroup("RXPF027");
		Pos(105, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB027");
    }

	CreateControl("RXWB028", "BUTTON")
	{
	    ColorGroup("RXPF028");
		Pos(95, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB028");
    }

	CreateControl("RXWB029", "BUTTON")
	{
	    ColorGroup("RXPF029");
		Pos(85, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB029");
    }

	CreateControl("RXWB030", "BUTTON")
	{
	    ColorGroup("RXPF030");
		Pos(75, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB030");
    }

	CreateControl("RXWB031", "BUTTON")
	{
	    ColorGroup("RXPF031");
		Pos(65, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB031");
    }

	CreateControl("RXWB032", "BUTTON")
	{
	    ColorGroup("RXPF032");
		Pos(55, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB032");
    }

	CreateControl("RXWB033", "BUTTON")
	{
	    ColorGroup("RXPF033");
		Pos(45, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB033");
    }

	CreateControl("RXWB034", "BUTTON")
	{
	    ColorGroup("RXPF034");
		Pos(35, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB034");
    }

	CreateControl("RXWB035", "BUTTON")
	{
	    ColorGroup("RXPF035");
		Pos(25, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB035");
    }

	CreateControl("RXWB036", "BUTTON")
	{
	    ColorGroup("RXPF036");
		Pos(15, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB036");
    }
//
	CreateControl("RXWB037", "BUTTON")
	{
	    ColorGroup("RXPF037");
		Pos(120, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB037");
    }

	CreateControl("RXWB038", "BUTTON")
	{
	    ColorGroup("RXPF038");
		Pos(110, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB038");
    }

	CreateControl("RXWB039", "BUTTON")
	{
	    ColorGroup("RXPF039");
		Pos(100, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB039");
    }

	CreateControl("RXWB040", "BUTTON")
	{
	    ColorGroup("RXPF040");
		Pos(90, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB040");
    }

	CreateControl("RXWB041", "BUTTON")
	{
	    ColorGroup("RXPF041");
		Pos(80, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB041");
    }

	CreateControl("RXWB042", "BUTTON")
	{
	    ColorGroup("RXPF042");
		Pos(70, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB042");
    }

	CreateControl("RXWB043", "BUTTON")
	{
	    ColorGroup("RXPF043");
		Pos(60, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB043");
    }

	CreateControl("RXWB044", "BUTTON")
	{
	    ColorGroup("RXPF044");
		Pos(50, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB044");
    }

	CreateControl("RXWB045", "BUTTON")
	{
	    ColorGroup("RXPF045");
		Pos(40, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB045");
    }

	CreateControl("RXWB046", "BUTTON")
	{
	    ColorGroup("RXPF046");
		Pos(30, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB046");
    }

	CreateControl("RXWB047", "BUTTON")
	{
	    ColorGroup("RXPF047");
		Pos(20, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB047");
    }
////
	CreateControl("RXWB048", "BUTTON")
	{
	    ColorGroup("RXPF048");
		Pos(115, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB048");
    }

	CreateControl("RXWB049", "BUTTON")
	{
	    ColorGroup("RXPF049");
		Pos(105, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB049");
    }

	CreateControl("RXWB050", "BUTTON")
	{
	    ColorGroup("RXPF050");
		Pos(95, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB050");
    }

	CreateControl("RXWB051", "BUTTON")
	{
	    ColorGroup("RXPF051");
		Pos(85, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB051");
    }

	CreateControl("RXWB052", "BUTTON")
	{
	    ColorGroup("RXPF052");
		Pos(75, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB052");
    }

	CreateControl("RXWB053", "BUTTON")
	{
	    ColorGroup("RXPF053");
		Pos(65, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB053");
    }

	CreateControl("RXWB054", "BUTTON")
	{
	    ColorGroup("RXPF054");
		Pos(55, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB054");
    }

	CreateControl("RXWB055", "BUTTON")
	{
	    ColorGroup("RXPF055");
		Pos(45, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB055");
    }

	CreateControl("RXWB056", "BUTTON")
	{
	    ColorGroup("RXPF056");
		Pos(35, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB056");
    }

	CreateControl("RXWB057", "BUTTON")
	{
	    ColorGroup("RXPF057");
		Pos(25, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB057");
    }
////
	CreateControl("RXWB058", "BUTTON")
	{
	    ColorGroup("RXPF058");
		Pos(110, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB058");
    }

	CreateControl("RXWB059", "BUTTON")
	{
	    ColorGroup("RXPF059");
		Pos(100, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB059");
    }

	CreateControl("RXWB060", "BUTTON")
	{
	    ColorGroup("RXPF060");
		Pos(90, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB060");
    }

	CreateControl("RXWB061", "BUTTON")
	{
	    ColorGroup("RXPF061");
		Pos(80, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB061");
    }

	CreateControl("RXWB062", "BUTTON")
	{
	    ColorGroup("RXPF062");
		Pos(70, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB062");
    }

	CreateControl("RXWB063", "BUTTON")
	{
	    ColorGroup("RXPF063");
		Pos(60, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB063");
    }

	CreateControl("RXWB064", "BUTTON")
	{
	    ColorGroup("RXPF064");
		Pos(50, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB064");
    }

	CreateControl("RXWB065", "BUTTON")
	{
	    ColorGroup("RXPF065");
		Pos(40, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB065");
    }

	CreateControl("RXWB066", "BUTTON")
	{
	    ColorGroup("RXPF066");
		Pos(30, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB066");
    }
/////////
	CreateControl("RXWB067", "BUTTON")
	{
	    ColorGroup("RXPF067");
		Pos(105, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB067");
    }

	CreateControl("RXWB068", "BUTTON")
	{
	    ColorGroup("RXPF068");
		Pos(95, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB068");
    }

	CreateControl("RXWB069", "BUTTON")
	{
	    ColorGroup("RXPF069");
		Pos(85, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB069");
    }

	CreateControl("RXWB070", "BUTTON")
	{
	    ColorGroup("RXPF070");
		Pos(75, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB070");
    }

	CreateControl("RXWB071", "BUTTON")
	{
	    ColorGroup("RXPF071");
		Pos(65, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB071");
    }

	CreateControl("RXWB072", "BUTTON")
	{
	    ColorGroup("RXPF072");
		Pos(55, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB072");
    }

	CreateControl("RXWB073", "BUTTON")
	{
	    ColorGroup("RXPF073");
		Pos(45, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB073");
    }

	CreateControl("RXWB074", "BUTTON")
	{
	    ColorGroup("RXPF074");
		Pos(35, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB074");
    }
/////////
	CreateControl("RXWB075", "BUTTON")
	{
	    ColorGroup("RXPF075");
		Pos(100, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB075");
    }

	CreateControl("RXWB076", "BUTTON")
	{
	    ColorGroup("RXPF076");
		Pos(90, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB076");
    }

	CreateControl("RXWB077", "BUTTON")
	{
	    ColorGroup("RXPF077");
		Pos(80, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB077");
    }

	CreateControl("RXWB078", "BUTTON")
	{
	    ColorGroup("RXPF078");
		Pos(70, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB078");
    }

	CreateControl("RXWB079", "BUTTON")
	{
	    ColorGroup("RXPF079");
		Pos(60, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB079");
    }

	CreateControl("RXWB080", "BUTTON")
	{
	    ColorGroup("RXPF080");
		Pos(50, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB080");
    }

	CreateControl("RXWB081", "BUTTON")
	{
	    ColorGroup("RXPF081");
		Pos(40, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB081");
    }
/////
	CreateControl("RXWB082", "BUTTON")
	{
	    ColorGroup("RXPF082");
		Pos(120, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB082");
    }
	CreateControl("RXWB083", "BUTTON")
	{
	    ColorGroup("RXPF083");
		Pos(110, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB083");
    }

	CreateControl("RXWB084", "BUTTON")
	{
	    ColorGroup("RXPF084");
		Pos(100, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB084");
    }

	CreateControl("RXWB085", "BUTTON")
	{
	    ColorGroup("RXPF085");
		Pos(90, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB085");
    }

	CreateControl("RXWB086", "BUTTON")
	{
	    ColorGroup("RXPF086");
		Pos(80, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB086");
    }

	CreateControl("RXWB087", "BUTTON")
	{
	    ColorGroup("RXPF087");
		Pos(70, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB087");
    }

	CreateControl("RXWB088", "BUTTON")
	{
	    ColorGroup("RXPF088");
		Pos(60, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB088");
    }

	CreateControl("RXWB089", "BUTTON")
	{
	    ColorGroup("RXPF089");
		Pos(50, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB089");
    }

	CreateControl("RXWB090", "BUTTON")
	{
	    ColorGroup("RXPF090");
		Pos(40, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB090");
    }

	CreateControl("RXWB091", "BUTTON")
	{
	    ColorGroup("RXPF091");
		Pos(30, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB091");
    }

	CreateControl("RXWB092", "BUTTON")
	{
	    ColorGroup("RXPF092");
		Pos(20, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB092");
    }
////////
	CreateControl("RXWB093", "BUTTON")
	{
	    ColorGroup("RXPF093");
		Pos(115, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB093");
    }

	CreateControl("RXWB094", "BUTTON")
	{
	    ColorGroup("RXPF094");
		Pos(105, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB094");
    }

	CreateControl("RXWB095", "BUTTON")
	{
	    ColorGroup("RXPF095");
		Pos(95, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB095");
    }

	CreateControl("RXWB096", "BUTTON")
	{
	    ColorGroup("RXPF096");
		Pos(85, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB096");
    }

	CreateControl("RXWB097", "BUTTON")
	{
	    ColorGroup("RXPF097");
		Pos(75, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB097");
    }

	CreateControl("RXWB098", "BUTTON")
	{
	    ColorGroup("RXPF098");
		Pos(65, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB098");
    }

	CreateControl("RXWB099", "BUTTON")
	{
	    ColorGroup("RXPF099");
		Pos(55, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB099");
    }

	CreateControl("RXWB100", "BUTTON")
	{
	    ColorGroup("RXPF100");
		Pos(45, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB100");
    }

	CreateControl("RXWB101", "BUTTON")
	{
	    ColorGroup("RXPF101");
		Pos(35, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB101");
    }

	CreateControl("RXWB102", "BUTTON")
	{
	    ColorGroup("RXPF102");
		Pos(25, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB102");
    }
////////
	CreateControl("RXWB103", "BUTTON")
	{
	    ColorGroup("RXPF103");
		Pos(110, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB103");
    }

	CreateControl("RXWB104", "BUTTON")
	{
	    ColorGroup("RXPF104");
		Pos(100, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB104");
    }

	CreateControl("RXWB105", "BUTTON")
	{
	    ColorGroup("RXPF105");
		Pos(90, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB105");
    }

	CreateControl("RXWB106", "BUTTON")
	{
	    ColorGroup("RXPF106");
		Pos(80, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB106");
    }

	CreateControl("RXWB107", "BUTTON")
	{
	    ColorGroup("RXPF107");
		Pos(70, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB107");
    }

	CreateControl("RXWB108", "BUTTON")
	{
	    ColorGroup("RXPF108");
		Pos(60, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB108");
    }

	CreateControl("RXWB109", "BUTTON")
	{
	    ColorGroup("RXPF109");
		Pos(50, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB109");
    }

	CreateControl("RXWB110", "BUTTON")
	{
	    ColorGroup("RXPF110");
		Pos(40, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB110");
    }

	CreateControl("RXWB111", "BUTTON")
	{
	    ColorGroup("RXPF111");
		Pos(30, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB111");
    }
/////////
	CreateControl("RXWB112", "BUTTON")
	{
	    ColorGroup("RXPF112");
		Pos(105, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB112");
    }

	CreateControl("RXWB113", "BUTTON")
	{
	    ColorGroup("RXPF113");
		Pos(95, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB113");
    }

	CreateControl("RXWB114", "BUTTON")
	{
	    ColorGroup("RXPF114");
		Pos(85, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB114");
    }

	CreateControl("RXWB115", "BUTTON")
	{
	    ColorGroup("RXPF115");
		Pos(75, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB115");
    }

	CreateControl("RXWB116", "BUTTON")
	{
	    ColorGroup("RXPF116");
		Pos(65, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB116");
    }

	CreateControl("RXWB117", "BUTTON")
	{
	    ColorGroup("RXPF117");
		Pos(55, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB117");
    }

	CreateControl("RXWB118", "BUTTON")
	{
	    ColorGroup("RXPF118");
		Pos(45, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB118");
    }

	CreateControl("RXWB119", "BUTTON")
	{
	    ColorGroup("RXPF119");
		Pos(35, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB119");
    }
//////////////
	CreateControl("RXWB120", "BUTTON")
	{
	    ColorGroup("RXPF120");
		Pos(100, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB120");
    }

	CreateControl("RXWB121", "BUTTON")
	{
	    ColorGroup("RXPF121");
		Pos(90, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB121");
    }

	CreateControl("RXWB122", "BUTTON")
	{
	    ColorGroup("RXPF122");
		Pos(80, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB122");
    }

	CreateControl("RXWB123", "BUTTON")
	{
	    ColorGroup("RXPF123");
		Pos(70, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB123");
    }

	CreateControl("RXWB124", "BUTTON")
	{
	    ColorGroup("RXPF124");
		Pos(60, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB124");
    }

	CreateControl("RXWB125", "BUTTON")
	{
	    ColorGroup("RXPF125");
		Pos(50, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB125");
    }

	CreateControl("RXWB126", "BUTTON")
	{
	    ColorGroup("RXPF126");
		Pos(40, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB126");
    }
////////////////
// Greys
////////////////

	CreateControl("RXWB127", "BUTTON")
	{
	    ColorGroup("RXPF127");
		Pos(134, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB127");
    }

	CreateControl("RXWB128", "BUTTON")
	{
	    ColorGroup("RXPF128");
		Pos(126, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB128");
    }

	CreateControl("RXWB129", "BUTTON")
	{
	    ColorGroup("RXPF129");
		Pos(118, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB129");
    }

	CreateControl("RXWB130", "BUTTON")
	{
	    ColorGroup("RXPF130");
		Pos(110, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB130");
    }

	CreateControl("RXWB131", "BUTTON")
	{
	    ColorGroup("RXPF131");
		Pos(102, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB131");
    }

	CreateControl("RXWB132", "BUTTON")
	{
	    ColorGroup("RXPF132");
		Pos(94, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB132");
    }

	CreateControl("RXWB133", "BUTTON")
	{
	    ColorGroup("RXPF133");
		Pos(86, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB133");
    }

	CreateControl("RXWB134", "BUTTON")
	{
	    ColorGroup("RXPF134");
		Pos(78, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB134");
    }

	CreateControl("RXWB135", "BUTTON")
	{
	    ColorGroup("RXPF135");
		Pos(70, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB135");
    }

	CreateControl("RXWB136", "BUTTON")
	{
	    ColorGroup("RXPF136");
		Pos(62, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB136");
    }

	CreateControl("RXWB137", "BUTTON")
	{
	    ColorGroup("RXPF137");
		Pos(54, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB137");
    }

	CreateControl("RXWB138", "BUTTON")
	{
	    ColorGroup("RXPF138");
		Pos(46, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB138");
    }

	CreateControl("RXWB139", "BUTTON")
	{
	    ColorGroup("RXPF139");
		Pos(38, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB139");
    }

	CreateControl("RXWB140", "BUTTON")
	{
	    ColorGroup("RXPF140");
		Pos(30, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB140");
    }

	CreateControl("RXWB141", "BUTTON")
	{
	    ColorGroup("RXPF141");
		Pos(22, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB141");
    }

	CreateControl("RXWB142", "BUTTON")
	{
	    ColorGroup("RXPF142");
		Pos(14, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXWB142");
    }
	
	OnEvent("RXWB001")
	
	{	    
		Cmd("sky.color 255 255 255");
	}	

    OnEvent("RXWB002")
	{
	    Cmd("sky.color 255 233 233");
	}	
	OnEvent("RXWB003")
	{
		Cmd("sky.color 255 160 160");
	}
	OnEvent("RXWB004")
	{
		Cmd("sky.color 255 87 87");
		
	}
	OnEvent("RXWB005")
	{
		Cmd("sky.color 255 14 14");
		
	}
	OnEvent("RXWB006")
	{
		Cmd("sky.color 196 0 0");
	}
	OnEvent("RXWB007")
	{
		Cmd("sky.color 123 0 0");
		
	}
	OnEvent("RXWB008")
	{
		Cmd("sky.color 233 255 255");
		
	}
    OnEvent("RXWB009")
	{
		Cmd("sky.color 160 255 255");
		
 	}
    OnEvent("RXWB010")
	{
		Cmd("sky.color 87 255 255");
		
	}
    OnEvent("RXWB011")
	{
		Cmd("sky.color 14 255 255");
		
	}
    OnEvent("RXWB012")
	{
		Cmd("sky.color 0 196 196");
		
	}
    OnEvent("RXWB013")
	{
		Cmd("sky.color 0 123 123");
		
	}
	
    OnEvent("RXWB014")
	{
		Cmd("sky.color 255 233 254");
		
	}
	OnEvent("RXWB015")
	{
		Cmd("sky.color 255 160 206");
		
	}
    OnEvent("RXWB016")
	{
		Cmd("sky.color 255 87 137");
		
	}
    OnEvent("RXWB017")
	{
		Cmd("sky.color 255 14 66");
		
	}
    OnEvent("RXWB018")
	{
		Cmd("sky.color 196 0 32");
		
	}
    OnEvent("RXWB019")
	{
		Cmd("sky.color 123 0 16");
		
	}
    OnEvent("RXWB020")
	{
		Cmd("sky.color 233 233 255");
		
	}
    OnEvent("RXWB021")
	{
		Cmd("sky.color 160 207 255");
		
	}
    OnEvent("RXWB022")
	{
		Cmd("sky.color 87 201 255");
		
	}
    OnEvent("RXWB023")
	{
		Cmd("sky.color 14 198 255");
		
	}
    OnEvent("RXWB024")
	{
		Cmd("sky.color 0 160 196");
		
	}
	OnEvent("RXWB025")
	{
		Cmd("sky.color 0 105 123");
		
	}
	OnEvent("RXWB025b")
	{
		Cmd("sky.color 123 16 0");
		
	}
	OnEvent("RXWB026")
	{
		Cmd("sky.color 196 32 0");
		
	}
	OnEvent("RXWB027")
	{
		Cmd("sky.color 255 66 14");
		
	}
	OnEvent("RXWB028")
	{
		Cmd("sky.color 255 137 87");
		
	}
	OnEvent("RXWB029")
	{
		Cmd("sky.color 255 206 160");
		
	}
	OnEvent("RXWB030")
	{
		Cmd("sky.color 255 254 233");
		
	}
	OnEvent("RXWB031")
	{
		Cmd("sky.color 233 255 233");
		
	}
	OnEvent("RXWB032")
	{
		Cmd("sky.color 160 255 207");
		
	}
	OnEvent("RXWB033")
	{
		Cmd("sky.color 87 255 201");
		
	}
	OnEvent("RXWB034")
	{
		Cmd("sky.color 14 255 198");
		
	}
	OnEvent("RXWB035")
	{
		Cmd("sky.color 0 196 160");
		
	}
	OnEvent("RXWB036")
	{
		Cmd("sky.color 0 123 105");
		
	}
	OnEvent("RXWB037")
	{
		Cmd("sky.color 123 37 0");
		
	}
	OnEvent("RXWB038")
	{
		Cmd("sky.color 196 75 0");
		
	}
	OnEvent("RXWB039")
	{
		Cmd("sky.color 255 130 14");
		
	}
	OnEvent("RXWB040")
	{
		Cmd("sky.color 255 199 87");
		
	}
	OnEvent("RXWB041")
	{
		Cmd("sky.color 255 253 160");
		
	}
	OnEvent("RXWB042")
	{
		Cmd("sky.color 207 255 160");
		
	}
	OnEvent("RXWB043")
	{
		Cmd("sky.color 160 255 160");
		
	}
	OnEvent("RXWB044")
	{
		Cmd("sky.color 87 255 140");
		
	}
	OnEvent("RXWB045")
	{
		Cmd("sky.color 14 255 134");
		
	}
	OnEvent("RXWB046")
	{
		Cmd("sky.color 0 196 118");
		
	}
	OnEvent("RXWB047")
	{
		Cmd("sky.color 0 123 84");
		
	}

/////

	OnEvent("RXWB048")
	{
		Cmd("sky.color 123 59 0");
		
	}
	OnEvent("RXWB049")
	{
		Cmd("sky.color 196 118 0");
		
	}
	OnEvent("RXWB050")
	{
		Cmd("sky.color 255 194 14");
		
	}
	OnEvent("RXWB051")
	{
		Cmd("sky.color 255 252 87");
		
	}
	OnEvent("RXWB052")
	{
		Cmd("sky.color 204 255 87");
		
	}
	OnEvent("RXWB053")
	{
		Cmd("sky.color 140 255 87");
		
	}
	OnEvent("RXWB054")
	{
		Cmd("sky.color 87 255 87");
		
	}
	OnEvent("RXWB055")
	{
		Cmd("sky.color 14 255 70");
		
	}
	OnEvent("RXWB056")
	{
		Cmd("sky.color 0 196 75");
		
	}
	OnEvent("RXWB057")
	{
		Cmd("sky.color 0 123 61");
		
	}

/////

	OnEvent("RXWB058")
	{
		Cmd("sky.color 123 82 0");
		
	}
	OnEvent("RXWB059")
	{
		Cmd("sky.color 196 157 0");
		
	}
	OnEvent("RXWB060")
	{
		Cmd("sky.color 255 250 14");
		
	}
	OnEvent("RXWB061")
	{
		Cmd("sky.color 202 255 14");
		
	}
	OnEvent("RXWB062")
	{
		Cmd("sky.color 134 255 14");
		
	}
	OnEvent("RXWB063")
	{
		Cmd("sky.color 70 255 14");
		
	}
	OnEvent("RXWB064")
	{
		Cmd("sky.color 14 255 14");
		
	}
	OnEvent("RXWB065")
	{
		Cmd("sky.color 0 196 36");
		
	}
	OnEvent("RXWB066")
	{
		Cmd("sky.color 0 123 39");
		
	}

//////

	OnEvent("RXWB067")
	{
		Cmd("sky.color 123 103 0");
		
	}
	OnEvent("RXWB068")
	{
		Cmd("sky.color 196 193 0");
		
	}
	OnEvent("RXWB069")
	{
		Cmd("sky.color 163 196 0");
		
	}
	OnEvent("RXWB070")
	{
		Cmd("sky.color 121 196 0");
		
	}
	OnEvent("RXWB071")
	{
		Cmd("sky.color 78 196 0");
		
	}
	OnEvent("RXWB072")
	{
		Cmd("sky.color 36 196 0");
		
	}
	OnEvent("RXWB073")
	{
		Cmd("sky.color 0 196 0");
		
	}
	OnEvent("RXWB074")
	{
		Cmd("sky.color 0 123 18");
		
	}

////////

	OnEvent("RXWB075")
	{
		Cmd("sky.color 123 121 0");
		
	}
	OnEvent("RXWB076")
	{
		Cmd("sky.color 107 123 0");
		
	}
	OnEvent("RXWB077")
	{
		Cmd("sky.color 86 123 0");
		
	}
	OnEvent("RXWB078")
	{
		Cmd("sky.color 61 123 0");
		
	}
	OnEvent("RXWB079")
	{
		Cmd("sky.color 39 123 0");
		
	}
	OnEvent("RXWB080")
	{
		Cmd("sky.color 18 123 0");
		
	}
	OnEvent("RXWB081")
	{
		Cmd("sky.color 0 123 0");
		
	}

///////

	OnEvent("RXWB082")
	{
		Cmd("sky.color 123 0 37");
		
	}
	OnEvent("RXWB083")
	{
		Cmd("sky.color 196 0 75");
		
	}
	OnEvent("RXWB084")
	{
		Cmd("sky.color 255 14 130");
		
	}
	OnEvent("RXWB085")
	{
		Cmd("sky.color 255 87 199");
		
	}
	OnEvent("RXWB086")
	{
		Cmd("sky.color 255 160 253");
		
	}
	OnEvent("RXWB087")
	{
		Cmd("sky.color 207 160 255");
		
	}
	OnEvent("RXWB088")
	{
		Cmd("sky.color 160 160 255");
	
	}
	OnEvent("RXWB089")
	{
		Cmd("sky.color 87 140 255");
		
	}
	OnEvent("RXWB090")
	{
		Cmd("sky.color 14 134 255");
		
	}
	OnEvent("RXWB091")
	{
		Cmd("sky.color 0 118 196");
		
	}
	OnEvent("RXWB092")
	{
		Cmd("sky.color 0 84 123");
		
	}

//////

	OnEvent("RXWB093")
	{
		Cmd("sky.color 123 0 59");
		
	}
	OnEvent("RXWB094")
	{
		Cmd("sky.color 196 0 118");
		
	}
	OnEvent("RXWB095")
	{
		Cmd("sky.color 255 14 194");
		
	}
	OnEvent("RXWB096")
	{
		Cmd("sky.color 255 87 252");
		
	}
	OnEvent("RXWB097")
	{
		Cmd("sky.color 204 87 255");
	
	}
	OnEvent("RXWB098")
	{
		Cmd("sky.color 140 87 255");
		
	}
	OnEvent("RXWB99")
	{
		Cmd("sky.color 87 87 255");
		
	}
	OnEvent("RXWB100")
	{
		Cmd("sky.color 140 70 255");
		
	}
	OnEvent("RXWB101")
	{
		Cmd("sky.color 0 75 196");
		
	}
	OnEvent("RXWB102")
	{
		Cmd("sky.color 0 61 123");
		
	}

///////

	OnEvent("RXWB103")
	{
		Cmd("sky.color 123 0 82");
		
	}
	OnEvent("RXWB104")
	{
		Cmd("sky.color 196 0 157");
		
	}
	OnEvent("RXWB105")
	{
		Cmd("sky.color 255 14 250");
		
	}
	OnEvent("RXWB106")
	{
		Cmd("sky.color 204 14 255");
		
	}
	OnEvent("RXWB107")
	{
		Cmd("sky.color 134 14 255");
		
	}
	OnEvent("RXWB108")
	{
		Cmd("sky.color 70 14 255");
		
	}
	OnEvent("RXWB109")
	{
		Cmd("sky.color 14 14 255");
		
	}
	OnEvent("RXWB110")
	{
		Cmd("sky.color 0 36 196");
		
	}
	OnEvent("RXWB111")
	{
		Cmd("sky.color 0 39 123");
		
	}

////////

	OnEvent("RXWB112")
	{
		Cmd("sky.color 123 0 103");
		
	}
	OnEvent("RXWB113")
	{
		Cmd("sky.color 196 0 193");
		
	}
	OnEvent("RXWB114")
	{
		Cmd("sky.color 163 0 196");
		
	}
	OnEvent("RXWB115")
	{
		Cmd("sky.color 121 0 196");
		
	}
	OnEvent("RXWB116")
	{
		Cmd("sky.color 78 0 196");
		
	}
	OnEvent("RXWB117")
	{
		Cmd("sky.color 36 0 196");
		
	}
	OnEvent("RXWB118")
	{
		Cmd("sky.color 0 0 196");
		
	}
	OnEvent("RXWB119")
	{
		Cmd("sky.color 0 18 123");
		
	}

////////

	OnEvent("RXWB120")
	{
		Cmd("sky.color 123 0 121");
		
	}
	OnEvent("RXWB121")
	{
		Cmd("sky.color 107 0 123");
		
	}
	OnEvent("RXWB122")
	{
		Cmd("sky.color 86 0 123");
		
	}
	OnEvent("RXWB123")
	{
		Cmd("sky.color 61 0 123");
		
	}
	OnEvent("RXWB124")
	{
		Cmd("sky.color 39 0 123");
		
	}
	OnEvent("RXWB125")
	{
		Cmd("sky.color 18 0 123");
		
	}
	OnEvent("RXWB126")
	{
		Cmd("sky.color 0 0 123");
		
	}

///////
//Greys
///////

	OnEvent("RXWB127")
	{
		Cmd("sky.color 0 0 0");
		
	}
	OnEvent("RXWB128")
	{
		Cmd("sky.color 30 30 30");
		
	}
	OnEvent("RXWB129")
	{
		Cmd("sky.color 45 45 45");
		
	}
	OnEvent("RXWB130")
	{
		Cmd("sky.color 60 60 60");
		
	}
	OnEvent("RXWB131")
	{
		Cmd("sky.color 75 75 75");
		
	}
	OnEvent("RXWB132")
	{
		Cmd("sky.color 90 90 90");
		
	}
	OnEvent("RXWB133")
	{
		Cmd("sky.color 105 105 105");
		
	}
	OnEvent("RXWB134")
	{
		Cmd("sky.color 120 120 120");
		
	}
	OnEvent("RXWB135")
	{
		Cmd("sky.color 135 135 135");
		
	}
	OnEvent("RXWB136")
	{
		Cmd("sky.color 150 150 150");
		
	}
	OnEvent("RXWB137")
	{
		Cmd("sky.color 165 165 165");
		
	}
	OnEvent("RXWB138")
	{
		Cmd("sky.color 180 180 180");
		
	}
	OnEvent("RXWB139")
	{
		Cmd("sky.color 195 195 195");
		
	}
	OnEvent("RXWB140")
	{
		Cmd("sky.color 210 210 210");
		
	}
	OnEvent("RXWB141")
	{
		Cmd("sky.color 225 225 225");
		
	}
	OnEvent("RXWB142")
	{
		Cmd("sky.color 240 240 240");
		
	}
}

//         by Lizard
// CREATE THE SKY EDITOR WINDOW
//

CreateControl("EditSky", "WINDOW")
{
	Pos(2, 10);
	Size(105, 456);

	ColorGroup("BACKGROUND");

	CreateControl("SkyTexTitle", "STATIC")
	{
		Pos(5, 5);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Sky Texture Select");
		Style("TRANSPARENT");
	}

	CreateControl("SkyTex1", "BUTTON")
	{
		Pos(5, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Mire");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex1");
	}

	OnEvent("SkyTex1")
	{
		Cmd("sky.texturename sky.pic");
	}


	CreateControl("SkyTex2", "BUTTON")
	{
		Pos(40, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Rend");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex2");
	}

	OnEvent("SkyTex2")
	{
		Cmd("sky.texturename rendsky.pic");
	}

	CreateControl("SkyTex3", "BUTTON")
	{
		Pos(75, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Bane");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex3");
	}

	OnEvent("SkyTex3")
	{
		Cmd("sky.texturename banesky.pic");
	}

	CreateControl("SkyTex4", "BUTTON")
	{
		Pos(5, 45);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Dark");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex4");
	}

	OnEvent("SkyTex4")
	{
		Cmd("sky.texturename dsky.pic");
	}

	CreateControl("SkyTex5", "BUTTON")
	{
		Pos(40, 45);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE1");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex5");
	}

	OnEvent("SkyTex5")
	{
		Cmd("sky.texturename sky23.pic");
	}

	CreateControl("SkyTex6", "BUTTON")
	{
		Pos(75, 45);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE2");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex6");
	}

	OnEvent("SkyTex6")
	{
		Cmd("sky.texturename sky24.pic");
	}

	CreateControl("SkyTex7", "BUTTON")
	{
		Pos(5, 65);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE3");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex7");
	}

	OnEvent("SkyTex7")
	{
		Cmd("sky.texturename sky26.pic");
	}

	CreateControl("SkyTex8", "BUTTON")
	{
		Pos(40, 65);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE4");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex8");
	}

	OnEvent("SkyTex8")
	{
		Cmd("sky.texturename sky28.pic");
	}

	CreateControl("SkyTex9", "BUTTON")
	{
		Pos(75, 65);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE5");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex9");
	}

	OnEvent("SkyTex9")
	{
		Cmd("sky.texturename sky30.pic");
	}

	CreateControl("SkyTex10", "BUTTON")
	{
		Pos(5, 85);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE6");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex10");
	}

	OnEvent("SkyTex10")
	{
		Cmd("sky.texturename sky31.pic");
	}

	CreateControl("SkyTex11", "BUTTON")
	{
		Pos(40, 85);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE7");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex11");
	}

	OnEvent("SkyTex11")
	{
		Cmd("sky.texturename sky32.pic");
	}

	CreateControl("SkyTex12", "BUTTON")
	{
		Pos(75, 85);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE8");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex12");
	}

	OnEvent("SkyTex12")
	{
		Cmd("sky.texturename sky33.pic");
	}
	CreateControl("SkyTex13", "BUTTON")
	{
		Pos(5, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE9");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex13");
	}

	OnEvent("SkyTex13")
	{
		Cmd("sky.texturename sky34.pic");
	}

	CreateControl("SkyTex14", "BUTTON")
	{
		Pos(40, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE10");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex14");
	}

	OnEvent("SkyTex14")
	{
		Cmd("sky.texturename sky36.pic");
	}

	CreateControl("SkyTex15", "BUTTON")
	{
		Pos(75, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE11");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex15");
	}

	OnEvent("SkyTex15")
	{
		Cmd("sky.texturename sky38.pic");
	}

	CreateControl("SkyTex16", "BUTTON")
	{
		Pos(5, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE12");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex16");
	}

	OnEvent("SkyTex16")
	{
		Cmd("sky.texturename sky39.pic");
	}


	CreateControl("SkyTex17", "BUTTON")
	{
		Pos(40, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE13");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex17");
	}

	OnEvent("SkyTex17")
	{
		Cmd("sky.texturename sky40.pic");
	}

	CreateControl("SkyTex18", "BUTTON")
	{
		Pos(75, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("FE14");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyTex18");
	}

	OnEvent("SkyTex18")
	{
		Cmd("sky.texturename sky42.pic");
	}

	CreateControl("SkyToggleTitle", "STATIC")
	{
		Pos(5, 145);
		Size(200, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Sky Element Select");
		Style("TRANSPARENT");
	}

	CreateControl("SkyToggle1", "BUTTON")
	{
		Pos(5, 165);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Dome");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle1");
	}

	OnEvent("SkyToggle1")
	{
		Cmd("sky.toggle dome");
	}


	CreateControl("SkyToggle2", "BUTTON")
	{
		Pos(5, 185);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Stars");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle2");
	}

	OnEvent("SkyToggle2")
	{
		Cmd("sky.toggle stars");
	}


	CreateControl("SkyToggle3", "BUTTON")
	{
		Pos(5, 205);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Flat");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle3");
	}

	OnEvent("SkyToggle3")
	{
		Cmd("sky.toggle flat");
	}

	CreateControl("SkyToggle4", "BUTTON")
	{
		Pos(5, 225);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Clouds");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle4");
	}

	OnEvent("SkyToggle4")
	{
		Cmd("sky.toggle clouds");
	}

	CreateControl("SkyToggle5", "BUTTON")
	{
		Pos(5, 245);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Sprites");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle5");
	}

	OnEvent("SkyToggle5")
	{
		Cmd("sky.toggle sprites");
	}

	CreateControl("SkyToggle6", "BUTTON")
	{
		Pos(5, 265);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle Sun");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyToggle6");
	}

	OnEvent("SkyToggle6")
	{
		Cmd("sky.toggle sun");
	}

	CreateControl("SkyModTitle", "STATIC")
	{
		Pos(5, 285);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Modulation");
		Style("TRANSPARENT");
	}


	CreateControl("SkyMod1", "BUTTON")
	{
		Pos(5, 305);
		Size(40, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("ADD");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyMod1");
	}

	OnEvent("SkyMod1")
	{
		Cmd("sky.modulate 1");
	}

	CreateControl("SkyMod2", "BUTTON")
	{
		Pos(50, 305);
		Size(40, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("BLEND");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyMod2");
	}

	OnEvent("SkyMod2")
	{
		Cmd("sky.modulate 0");
	}

	CreateControl("TileSizeTitle", "STATIC")
	{
		Pos(5, 325);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Texture Tile size");
		Style("TRANSPARENT");
	}

	CreateControl("Tilesize1", "BUTTON")
	{
		Pos(5, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("100");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize1");
	}

	OnEvent("Tilesize1")
	{
		Cmd("sky.tilesize 100");
	}

	CreateControl("Tilesize2", "BUTTON")
	{
		Pos(40, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("200");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize2");
	}

	OnEvent("Tilesize2")
	{
		Cmd("sky.tilesize 200");
	}

	CreateControl("Tilesize3", "BUTTON")
	{
		Pos(75, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("300");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize3");
	}

	OnEvent("Tilesize3")
	{
		Cmd("sky.tilesize 300");
	}


	CreateControl("Tilesize4", "BUTTON")
	{
		Pos(5, 365);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("400");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize4");
	}

	OnEvent("Tilesize4")
	{
		Cmd("sky.tilesize 400");
	}

	CreateControl("Tilesize5", "BUTTON")
	{
		Pos(40, 365);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("500");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize5");
	}

	OnEvent("Tilesize5")
	{
		Cmd("sky.tilesize 500");
	}

	CreateControl("Tilesize6", "BUTTON")
	{
		Pos(75, 365);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("600");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Tilesize6");
	}

	OnEvent("Tilesize6")
	{
		Cmd("sky.tilesize 600");
	}

	CreateControl("SkyHeightTitle", "STATIC")
	{
		Pos(5, 385);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Sky Height Select");
		Style("TRANSPARENT");
	}

	CreateControl("SkyHeight1", "BUTTON")
	{
		Pos(5, 405);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("30");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyHeight1");
	}

	OnEvent("SkyHeight1")
	{
		Cmd("sky.height 30");
	}

	CreateControl("SkyHeight2", "BUTTON")
	{
		Pos(30, 405);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("50");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyHeight2");
	}

	OnEvent("SkyHeight2")
	{
		Cmd("sky.height 50");
	}

	CreateControl("SkyHeight3", "BUTTON")
	{
		Pos(55, 405);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("80");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyHeight3");
	}

	OnEvent("SkyHeight3")
	{
		Cmd("sky.height 80");
	}

	CreateControl("SkyHeight4", "BUTTON")
	{
		Pos(80, 405);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("100");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyHeight4");
	}
	
	CreateControl("SkyColor", "BUTTON")
	{
	    ColorGroup("TVBUTTON1");
		Pos(10, 426);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Sky Color Palette");
		Cursor("Highlight");

		NotifyParent("Button::Press", "SkyColor");
	}

    OnEvent("Control::Deactivate")
	{
	   Deactivate("|SkyColor");
	 }
	
	OnEvent("None")
	{
	   Deactivate("|SkyColor");	   
	}
	
	OnEvent("SkyColor")
	{
	   Activate("|SkyColor");	   
	}

	OnEvent("SkyHeight4")
	{
		Cmd("sky.height 100");
	}

	
	


}